# snes9x is freeware, it must be submitted to nonfree

Summary:        Super NES emulator
Name:           snes9x
Version:        1.61
Release:        %mkrel 3
Group:          Emulators
License:        Freeware and LGPLv2
URL:            https://github.com/snes9xgit/snes9x
Source0:        https://github.com/snes9xgit/snes9x/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  nasm
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(zlib)

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%package -n     %{name}-gtk
Summary:        Graphical User Interface for snes9x
Group:          Emulators

%description -n %{name}-gtk
This package adds a GTK graphical user interface to snes9x.

%prep
%autosetup -p1

%build
pushd gtk
%meson -Dslang=false
%meson_build
popd

# Second, build the CLI version
pushd unix
%configure \
    --enable-netplay
%make_build
popd

%install
%meson_install -C gtk/build

mkdir -p %{buildroot}%{_bindir}
install -m 755 unix/snes9x %{buildroot}%{_bindir}

%find_lang snes9x-gtk

%files
%doc docs/*
%doc unix/docs/readme_unix.html
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/snes9x/cheats.bml

%files -n %{name}-gtk -f snes9x-gtk.lang
%doc docs/*
%license LICENSE
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.61-3.mga10
+ Revision: 2219251
- Mageia 10 Mass Rebuild

* Sun Oct 15 2023 wally <wally> 1.61-2.mga10
+ Revision: 1996999
- rebuild for minizip from minizip-ng

* Sun Jan 15 2023 daviddavid <daviddavid> 1.61-1.mga9.nonfree
+ Revision: 1933240
- new version: 1.61
- remove merged upstream patch

* Thu Dec 08 2022 daviddavid <daviddavid> 1.60-2.mga9.nonfree
+ Revision: 1919497
- add an upstream patch to fix FTBFS for gcc-11
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Mar 12 2020 zezinho <zezinho> 1.60-1.mga8.nonfree
+ Revision: 1555944
- new version

* Fri Feb 21 2020 umeabot <umeabot> 1.59.2-3.mga8.nonfree
+ Revision: 1548828
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Apr 18 2019 daviddavid <daviddavid> 1.59.2-2.mga7.nonfree
+ Revision: 1393111
- Rebuild with meson 0.50.1

* Thu Mar 07 2019 zezinho <zezinho> 1.59.2-1.mga7.nonfree
+ Revision: 1372154
- switch gtk build to meson
- new version 1.59.2

* Fri Dec 28 2018 zezinho <zezinho> 1.58-1.mga7.nonfree
+ Revision: 1345587
- license file was moved to root
- new version 1.58

* Fri Nov 16 2018 zezinho <zezinho> 1.57-1.mga7.nonfree
+ Revision: 1330222
- new version 1.57

* Fri Sep 21 2018 umeabot <umeabot> 1.56.2-2.mga7.nonfree
+ Revision: 1291491
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 zezinho <zezinho> 1.56.2-1.mga7.nonfree
+ Revision: 1254800
- new version 1.56.2 - switches to SDL2 and Gtk3
- needs epoxy for OpenGL support

* Mon Feb 26 2018 zezinho <zezinho> 1.55-1.mga7.nonfree
+ Revision: 1205211
- new BR minizip
- new version 1.55

* Sat Nov 12 2016 akien <akien> 1.54.1-1.mga7.nonfree
+ Revision: 1066905
- Version 1.54.1

* Mon Aug 08 2016 akien <akien> 1.53-10.mga6.nonfree
+ Revision: 1044987
- Reorder the BRs alphabetically, use pkgconfig
- Use new RPM macros
- Drop old obsoletes and provides
- Fix URL
- Mention that part of the code is dual-licensed under LGPLv2

* Sat Oct 25 2014 akien <akien> 1.53-9.mga5.nonfree
+ Revision: 793356
- License is freeware, rebuild in nonfree

* Wed Oct 15 2014 umeabot <umeabot> 1.53-8.mga5
+ Revision: 748590
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.53-7.mga5
+ Revision: 689227
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.53-6.mga4
+ Revision: 527515
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 1.53-5.mga4
+ Revision: 440498
- bump rel
- cleanup br

* Tue Jun 04 2013 fwang <fwang> 1.53-4.mga4
+ Revision: 436985
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.53-3.mga3
+ Revision: 382259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 12 2011 zezinho <zezinho> 1.53-2.mga2
+ Revision: 166991
- split gtk gui package

* Fri Nov 11 2011 zezinho <zezinho> 1.53-1.mga2
+ Revision: 166707
- new version
+ dmorgan <dmorgan>
- Fix buildrequires
- imported package snes9x


* Thu Jun 21 2007 Guillaume Bedot <littletux@zarb.org> 1.51-1plf2008.0
- release 1.51
- netplay support

* Fri Jul 14 2006 Guillaume Bedot <littletux@zarb.org> 1.5-1plf2007.0
- 1.5
- fix plf reason
- mkrel
- move binary to bindir

* Sun Jan 23 2005 Guillaume Bedot <littletux@zarb.org> 1.43-1plf
- New release 1.43
- rpmbuildupdate aware
- some specs fixes

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 1.42-1plf
- update to 1.42

* Sat Jul 26 2003 Michael Scherer <scherer.michael@free.fr> 1.39-10plf 
- fix compilation ( added -Wno-long-long to CFLAGS, patch #0 )

* Tue Jun  3 2003 Götz Waschk <goetz@plf.zarb.org> 1.39-9plf
- fix buildrequires

* Tue Feb 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-8plf 
- cleanup
- From Ernst Persson <ernstp@mac.com>
	- Updated for PPC compability


* Tue Jan 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-6plf
- remerge -6 change with -5
- reupload the src (was flying in space)
- rebuild

* Sat Sep 14 2002 David Walluck <david@anti-microsoft.org> 1.39-6plf
- 'Provides: snes-binary' should be 'Provides: snes9x-binary'

* Thu Sep 12 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.39-5plf
- add a --with svga option for conditional svgalib build

* Tue Sep 10 2002 Götz Waschk <waschk@linux-mandrake.com> 1.39-4plf
- build with svgalib support on mandrake 8.2

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 1.39-3plf
- add 'Provides: snes-binary' to fix GSnes dependency (we could make GSnes
  depend on snes9x now that the svgalib package is removed, but this way 
  is backwards-compatible with old releases)

* Fri Aug 16 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.39-2plf
- merge common and X package
- disable svgalib package

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 1.39-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 1.39-1plf
- release
